> For the complete documentation index, see [llms.txt](https://docs.halosecurity.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.halosecurity.com/api/authentication.md).

# Authentication

## API Keys

The `x-apikey` header must be submitted with all requests to API endpoints.

To access and manage your account's API keys, please visit the Account/API section of the website at <https://app.halosecurity.com/user/account/api>

## Example Request

To verify that your API key is properly configured, submit a curl request such as the following, replacing \<APIKEY> with the one retrieved from your Account/API dashboard.

```
curl --header "x-apikey: <APIKEY>" https://api.halosecurity.com/api/v1/user/me.json
```

If everything is working properly, you should receive a JSON response like the one below:

```
{
    "user": {
        "role": 1,
        "user_id": 12345,
        "phone": "1-555-111-2222",
        "last_name": "Last",
        "title": "Title",
        "first_name": "First",
        "email": "user@example.com"
    }
}
```

If you receive an authentication failure verify that you are using the correct API key, and contact [Halo Security Support](https://www.halosecurity.com/link?q=support-contact\&subject=API) if you remain unable to submit a valid request.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.halosecurity.com/api/authentication.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
